Copyright: ©1999 Compaq Computer Corporation.
Citation: ©1999 Compaq Computer Corporation. All rights reserved.


Router Configuration Parameters

Router: Total WAN Connections Defined

Router: Maximum Connections Loaded

Router: Total IP Filters Defined

Router: Maximum IP Filters Loaded

Router: Local User Name

Router: Local Password

Connection Name

Connection Usage

Primary Name

Connection Type

Eicon Port

Auto Start

Comment

WAN Protocol

Logical Adapter Properties


Router: Total WAN Connections Defined

This parameter indicates the number of WAN connections defined in your connection table. This value is updated automatically as you make changes to your connection table.


Router: Maximum WAN Connections Loaded

Specify a number to indicate the maximum number of WAN connections you plan to use simultaneously. Try to configure a value that is close to your planned total number of WAN connections. The higher the configured value, the more resources are allocated.
Default value: 10

Note  If you change the default value of 10, you will need to restart your device for changes to take effect.

Important:	If the number of WAN connections configured exceeds the value set for this parameter, only a limited amount of connections will be loaded on the Eicon WAN Adapter.


Router: Total IP Filters Defined

This parameter indicates the number of IP filters defined in your connection table. The value is updated automatically as you make changes to your connection table.


Router: Maximum IP Filters Loaded

Specify a number to indicate the maximum number of IP filters you plan to use simultaneously. Try to configure a value that is close to your planned total number of IP filters. The higher the configured value, the more resources are allocated.
Default value: 10

Note  If you change the default value of 10, you will need to restart your device for changes to take effect.


Router: Local User Name

The Local User Name is one of the parameters that defines the Point-to-Point Protocol (PPP) on the local device. This parameter is configured from the Router configuration panel and is applied globally to all PPP WAN connections. PPP’s Password Authentication Protocol (PAP) and Challenge Handshake Authentication Protocol (CHAP) use this local user name to authenticate the connection during call negotiation and setup.
Default value: NONE.

Value	Description
1-32 alphanumeric characters	The local PAP and CHAP user name.
Note  This parameter is not configurable if there is no Eicon WAN Adapter port configured for PPP.


Router: PAP Local Password

This parameter is used during call setup and negotiation by the Password Authentication Protocol (PAP) to authenticate the connection between the local and remote devices. This parameter is configured from the Router configuration panel and is applied globally to all configured PPP WAN connections.
Default value: None.

Value	Description
1-32 alphanumeric characters	The name of the local PPP Password Authentication Protocol (PAP) user name.
Note  This parameter is not configurable if there is no Eicon WAN Adapter port configured for PPP.


Router: Connection Name

The name you give to a WAN connection entry, and the one that appears in the WAN Connection list.

Value	Description
1-10 alphanumeric characters	The name given to identify the WAN connection (circuit).  Note: All alphabetic characters you enter will appear in uppercase whether or not Caps Lock is on.


Router: Connection Usage

This parameter specifies whether the circuit is acting as a primary or backup connection for WAN traffic. The dial backup feature allows you to configure a backup connection for any primary connection between the local and remote device. This enables you to protect against the unexpected failure of the physical or logical link. The backup connection remains inactive until the primary connection fails.

Consult the WAN Services for Windows 2000 Online User’s Guide under the Router configuration topic for more information about creating backup WAN connections. Default value: Primary

Note  You can configure a backup connection on the same Card and same protocol as its primary or on a different protocol. Also, the primary and backup line can be configured on different ports on the Card.

Value	Description
Primary	To configure a primary WAN connection.
Backup	To configure a backup WAN connection.


Router: Primary Name

This parameter is available once you have defined a circuit as being a backup connection. You must specify the name of the primary line for which you need a backup. See Connection Usage.


Router: Connection Type

Indicates what type of connection will be established with the remote device. The range of values for this parameter depends on the type of remote (Peer) device to which you are connecting and the specific Wide Area Network (WAN) protocol being used.
Default value: Two Way

X.25 SVC is the only protocol that allows you to select from the full range of connection types. Frame Relay and PPP connections are always outgoing.

Value	Description
Outgoing	Specifies that the local device should initiate the connection.
Incoming	Specifies that the remote device should initiate the connection.
Two Way	Specifies that either the local or remote device can initiate the connection.


Router: Port

The number of the Eicon WAN Adapter port through which packet traffic between the local and remote devices will flow.
Default value: 1.

Eicon WAN Adapter port numbers are assigned for each port in the Port configuration panel.

Value	Description
1 to 4	Specifies the possible range of port numbers. Up to 4 ports are supported.


Router: Auto Start

The Autostart box is checked by default. This means that this connection is automatically started as soon as the WAN Services device is loaded. If you have Autostart unchecked, you can start a WAN connection by issuing the MPRCCT START cctname command.
Default value: Checked.

Value	Description
Checked	Specifies that this WAN connection will be started automatically when the Routing Services software is started.
Unchecked	Specifies that this WAN connection will not be started automatically when the Routing Services software is started.


Router: PVC

This parameter appears only when WAN Protocol has the value X.25 PVC. It is the number of the X.25 permanent virtual circuit (PVC) used for the connection between the local and remote devices, and may range between 1 to 64. Consult your X.25 network subscription, or contact your X.25 network manager, for more information.
Default value: 1.


Router: Comment

This space is reserved for your comments, notes, etc. The comment will appear on the console with your connection information.


Router: WAN Protocol

Indicates the medium of transmission between the local and remote devices:

Value	Description
X.25 SVC	For transmitting over a switched virtual circuit (SVC) in an X.25 packet-switched network.
X.25 PVC	For transmitting over a permanent virtual circuit (PVC) in an X.25 packet-switched network.
FRAME RELAY	For transmitting over a Frame Relay packet-switched network.
PPP	For transmitting Transmission Control Protocol running on Internet Protocol (TCP/IP) using the Point-to-Point Protocol.


Logical Adapter Properties

Adapter Name

Specifies the name given to the NDIS logical adapter. This name is dynamically assigned and cannot be changed.

Port Number

This specifies the EiconCard port this Logical Adapter will use to make its connections. Each Logical Adapter must use a different Eicon WAN Adapter port.

Eicon WAN Adapter port numbers are assigned through the Eicon Configuration program.

This number must also match the port number used when configuring the router connections using the Eicon Configuration program.

MTU

This parameter specifies the Maximum Transmission Unit (MTU) which is the maximum number of bytes per packet of data that will be transmitted from this port. The largest IP packet that can be transmitted is the MTU value. The MTU includes the IP header.

The local MTU value must match the MTU value on the remote router.
Default: 1500.


Connection Filter Configuration Panel

Packet Direction

Action

Port Type

Port - Low

Port - High

IP Address<Source>

Mask<Source>

IP Address<Destination>

Mask<Destination>

Filter Insertion Sequence - After Filter no.


Connection Filter: Packet Direction

Specifies whether the filter is used for Internet Protocol (IP) packets which are incoming only (IN), outgoing only (OUT), or both (ALL).
Default value: ALL.

Value	Description
IN	Incoming IP packets received from the WAN
OUT	Outgoing IP packets sent to the WAN
ALL	Both Incoming and Outgoing IP packets


Connection Filter: Action

This parameter specifies the action to be performed on incoming and/or outgoing Internet Protocol (IP) packets. There are three values: FORWARD, DROP, and PRIORITY_LOW.

The filter list is scanned until a packet is matched with a filter. If the action is DROP or FORWARD, the action is accepted and the scan is completed. If the action is PRIORITY_LOW, then the action is accepted and the rest of the filter list is scanned.

The order in which filters will be applied is the order in which they are displayed in the Filters section of the WAN Connections configuration panel. This section shows the filters, if any, for the currently selected connection.
Default value: DROP.

Value	Description
DROP	Matching IP packets are filtered out.
FORWARD	Matching IP packets are not filtered out.
PRIORITY_LOW	Applicable only on outgoing Frame Relay packets. Matching IP packets have the DE (Discard Eligibility) bit enabled if there is congestion on the network and the throughput is greater than the Frame Relay Committed Information Rate (CIR).


Connection Filter: Port Type

Internet Protocol (IP) filtering can be performed at the IP port level based on the source and destination ports in UDP and TCP packets. IP packets contain information about what type of protocol it is using and what application it is trying to communicate with. The "port number" identifies the application. The Port Type parameter determines what transmission protocol will be applied to the port number(s) specified to be matched.
Default value: ALL.

The use of the term "port" in this context should not be confused with the Eicon WAN Adapter "port" which is an actual hardware plug on the Eicon WAN Adapter. When it is said that filtering can be performed at the IP port level, we are referring to a "virtual" port which is a number that identifies a particular application. Ports are used by the software to differentiate between various communications streams. The port number behaves very much like a sub-address for the host, allowing for the identification of applications running on the internetwork. Frequently-used applications have standard port numbers assigned to them. This is the case for TELNET, FTP, TFTP, etc. Non-standard applications must "register themselves" and are dynamically assigned port numbers.

Value	Description
TCP	Only a Transmission Control Protocol (TCP) port will be acted upon.
UDP	Only a User Datagram Protocol (UDP) port will be acted upon.
ALL	Both TCP and UDP ports will be acted upon.


Connection Filter: Port - Low

The Low parameter under the port section determines the low end value for the range of destination port numbers you wish to have checked for a match. Default value: 0 (no filter).

The use of the term "port" in this context should not be confused with the Eicon WAN Adapter "port" which is an actual hardware plug on the Eicon WAN Adapter. When it is said that filtering can be performed at the IP port level, we are referring to a "virtual" port which is a number that identifies a particular application. Ports are used by the software to differentiate between various communications streams. The port number behaves very much like a sub-address for the host, allowing for the identification of applications running on the internetwork. Frequently-used applications have standard port numbers assigned to them. This is the case for TELNET, FTP, TFTP, etc. Non-standard applications must "register themselves" and are dynamically assigned port numbers.

Note: If you wish to filter only one destination port, the Port/Low parameter value should equal the Port/High parameter value.

If you do not want to filter on ports, Port-Low = Port-High = 0 (Zero).

Value	Description
0-65535	The valid port range.


Connection Filter: Port - High

The High parameter under the port section determines the high end value of the range of destination port numbers you wish to have checked for a match. Default value: 0 (no filter).

The use of the term "port" in this context should not be confused with the Eicon WAN Adapter "port" which is an actual hardware plug on the Eicon WAN Adapter. When it is said that filtering can be performed at the IP port level, we are referring to a "virtual" port which is a number that identifies a particular application. Ports are used by the software to differentiate between various communications streams. The port number behaves very much like a sub-address for the host, allowing for the identification of applications running on the internetwork. Frequently-used applications have standard port numbers assigned to them. This is the case for TELNET, FTP, TFTP, etc. Non-standard applications must "register themselves" and are dynamically assigned port numbers.

Note: If you wish to filter only one destination port, the Port/Low parameter value should equal the Port/High parameter value.

If you do not want to filter on ports, Port-Low = Port-High = 0 (Zero).

Value	Description
0-65535	The valid port range.


Connection Filter: Source IP Address

With Source IP address filtering, packets are either dropped or forwarded whenever the source address of the packet is found in the filter table.

The Source address is a standard 32-bit Internet Protocol (IP) address that uniquely identifies a network or a specific host on your network. IP addresses have the following form xxx.xxx.xxx.xxx, with xxx ranging from 0 to 255 inclusive.

Note: If you do not want to filter on the source address, set the source address and the source mask to 0.0.0.0.


Connection Filter: Source Mask

This parameter specifies the mask that is applied to the packet's source address. The mask is used to differentiate between networks and their subnetworks, and it allows for the matching of specific stations.

Note: If you do not want to filter on the source address, set the source address and the source mask to 0.0.0.0.


Connection Filter: Destination IP Address

With Destination IP filtering, packets are either dropped or forwarded whenever the destination address of the packet is found in the filter table.

The Destination address is a standard 32-bit Internet Protocol (IP) address that uniquely identifies a network and a specific host on the network. IP addresses have the following form xxx.xxx.xxx.xxx, with xxx ranging from 0 to 255 inclusive.

Note: If you do not want to filter on the destination address, set the destination address and the destination mask to 0.0.0.0.


Connection Filter: Destination Mask

This parameter specifies the mask that is applied to the packet's destination address. The mask is used to differentiate between networks and their subnetworks, and it allows for the matching of specific stations.

Note: If you do not want to filter on the destination address, set the destination address and the destination mask to 0.0.0.0.


Connection Filter: Filter Insertion Sequence<After Filter no.>

IP packets are filtered based on the order of the filters as they appear in the filtering chain. The filtering chain is a linear list of pre-defined filters for a specific WAN connection. This means that the first filter is checked for a match first, then the second, and so on. When a packet's specification (port values and /or addresses) is found to match a filter, the action defined for this filter is applied to the packet. The first filter to match the packet is applied regardless of the other filters that follow in the list.

Since the order of filters inside the filtering chain is crucial filters can be inserted within the filtering chain, and not only at the end. Since all filters are assigned a unique ID number, the "After Filter no." parameter allows you to place a filter immediately after an already existing filter in the filtering chain.

Note: To place a filter at the very beginning of an already existing list of filters, set this parameter to 0 (Zero).


Connections Configuration: Frame Relay Panel

The following parameters configure the Frame Relay protocol for remote connections:

DLCI

Compression Type

Dictionary size


Frame Relay: DLCI

The DLCI (Data Link Connection Identifier) of the Frame Relay virtual circuit to be used for the connection between the local and remote devices, and can range in value from 16 to 1007. Consult your Frame Relay network subscription, or contact your Frame Relay network manager, for more information.
Default value: None.


Frame Relay: Compression Type

Routing Services compression provided with this product is compliant with several standards for compression algorithms and negotiation protocols. The table below identifies the compression types available for the Frame Relay protocol.
Default value: Auto.

Value	Description
Auto	• Default value • Compression negociation: AUTO  • Negotiation order: FRF.9, Bay Networks
FRF.9	• Compression negotiation: FRF.9 • Compression algorithm: LZS-DCP • Checkmode: LCB, Sequence Number
Bay Networks	• Compression negotiation: WCP • Compression algorithm: Magnalink • Checkmode: LCB • Dictionary size: 8K or 32K
None	No compression.
Note: If you change the Compression type, you must stop and restart your Eicon WAN Adapter with the ECCARD STOP and ECCARD START commands.


Connections Configuration: PPP Panel

The following parameters configure the Point-to-Point Protocol (PPP) for remote connections:

PAP

PAP Remote User

PAP Remote Password

CHAP

CHAP Remote Name

CHAP Secret

Remote User Authentication

Compression Type


PPP: PAP (Password Authentication Protocol)

Before establishing a PPP connection, the devices involved must negotiate certain parameters of the connection. Authentication is part of this negotiation. It involves the exchange of user names and passwords to ensure that each device is eligible to access the other. If authentication fails, the connection cannot be established.

In PAP authentication the user name and password are exchanged as plain text.

The Local User Name and Local Password are set in the Router’s General configuration panel, and is accessed by clicking the Router icon. The Local User Name and Password are used to authenticate remote devices when they are initiating the connection.


PPP: PAP Remote User

This parameter only applies if Remote User Authentication is enabled. Enter the PAP user name of the remote device with which you will be connecting. This user name is required for authentication with the remote device.

Value	Description
1-32 alphanumeric characters	The user name of the remote PAP device.


PPP: PAP Remote Password

This parameter only applies if Remote User Authentication is enabled. Enter the PAP password for the remote device with which you will be connecting. This password is required to authenticate the connection with the remote device.

Value	Description
1-32 alphanumeric characters	The password for the remote PAP device.


PPP: CHAP (Challenge Handshake Authentication Protocol)

Before establishing a PPP connection, the devices involved must negotiate certain parameters of the connection. Authentication is part of this negotiation. It involves the exchange of user names and passwords to ensure that each device is eligible to access the other. If authentication fails, the connection cannot be established.

In CHAP authentication the user name and password are exchanged as encrypted text.

The Local User Name is set in the Router’s General configuration panel, and is accessed by clicking the Router icon. The Local User Name is used to authenticate remote devices when they are initiating the connection.


PPP: CHAP Remote Name

This is the user name for the remote device. This user name is required to authenticate your connection with the remote device.

Value	Description
1-32 alphanumeric characters	The PPP CHAP Name for the remote device.


PPP: CHAP Secret

The CHAP Secret is a password shared by the local and remote device. It must be exchanged (encrypted within other fields) between the two devices for authentication of the connection to occur.

Value	Description
1-32 alphanumeric characters	The PPP CHAP Secret for the remote device.


PPP: Remote User Authentication

Select this check box if you want the local device to perform PPP authentication on the remote device.

The Router attempts to use CHAP authentication and if that fails it will use PAP authentication.


PPP: Compression Type

Routing Services compression provided with this product is compliant with several standards for compression algorithms and negotiation protocols. The table below identifies the compression types available for the PPP protocol.

Default value: AUTO.

Value	Description
Auto	• Compression negotiation: AUTO • Negotiation order: Stacker, MPPC, Bay Networks
Stacker	This type of compression is compatible with Cisco routers. • Compression negotiation: CCP (Compression Control Protocol) • Compression algorithm: LZS-STAC • Check mode: LCB, sequence number, and extended mode
Bay Networks	• Compression negotiation: WCP Magnalink  • Compression algorithm: LCB • 8K or 32 K • Full support with or without Multilink
MPPC	• Microsoft compression used in Microsoft’s PPP implementation of Remote Access Server.
None	• No compression
Note: If you change the Compression type, you must stop and restart your Eicon WAN Adapter with the ECCARD STOP and ECCARD START commands.

If MPPC compression is used, the Eicon Configuration Program automatically sets the Maximum Packet Size (bytes) parameter in the PPP Port configuration panel to 1506. This setting must apply to both sides of the PPP connection.


Transport Protocol Configuration Panel

Transport Protocol: IP

Remote IP Address

Broadcast

Multicast

TCP Spoofing

Transport Protocol: IPX

Remote MAC Address

Accept Remote MAC Address

Transport Protocol: SNA over Frame Relay

SNA Remote MAC Address


Router: Transport Protocol: IP

Check this box to configure your router connection to transmit data across the wide-area network using the TCP/IP transport protocol (Microsoft TCP/IP).

Note: You must have properly installed and configured a Routing Services driver in the Network Control Panel’s TCP/IP Configuration.


Router: Transport Protocol: IPX

Check this box to configure your router connection to transmit data across the wide-area network using the IPX/SPX transport protocol (Microsoft NWLink).

Note:  You must have properly installed and configured a Routing Services driver in the Network Control Panel’s IPX/SPX Configuration.


Router: Transport Protocol: SNA over Frame Relay routing

Check this box to configure a router connection to transmit data across a Frame Relay network using Microsoft SNA Server.

Note:  You must configure the Routing Services driver in the Microsoft SNA Server’s DLC 802.2 Link Service Setup dialog box.


Router: Transport Protocol: SNA Remote MAC Address

For SNA over Frame Relay only.

The Remote MAC Address is a six (6) hexadecimal value, represented as:

xx,xx,xx,xx,xx,xx

where x is a character, 0-9 or A-F.

The Remote MAC Address is used when the remote router can accept a MAC address.


Router: Transport Protocol: Remote MAC Address

For PPP only.

The Remote MAC Address is a six (6) hexadecimal value, represented as:

xx,xx,xx,xx,xx,xx

where x is a character, 0-9 or A-F.

The Remote MAC Address is used when the remote router can accept a MAC address.


Router: Transport Protocol: Accept Remote MAC Address

For PPP only.

When using the IPX protocol, select this check box to accept only the MAC address given by the remote router.

If this parameter is not selected, the local router uses the local MAC address. Use the MPR CONFIG command to discover the local MAC address.

Default value: Unchecked.

Value	Description
Checked	Accept only the MAC address given by the remote router.
Unchecked	Use the local MAC address.


Router: Remote IP Address

This is a required parameter that you must configure except when using Frame Relay WAN connections.

This parameter is the IP address of the remote device, and has the form n.n.n.n, where n is a number between 1 and 254 inclusive.

This parameter is equivalent to issuing the IPMAP ADD cctname command which maps the specified circuit to a remote IP address.

Default value: Blank.

Important:	For Frame Relay, the IP address is not required. Frame Relay uses the Address Resolution Protocol (ARP) (as per RFC 1490) and Inverse ARP (as per RFC 1293) to discover the IP address of the remote device.


Router: Compression: Dictionary Size

This parameter is only active when Bay Networks compression is selected.

The compression dictionary is used by the compression algorithm to maintain a byte sequence history of both transmitted and received data.

The dictionary size uses three times its size per session of Eicon WAN Adapter memory. For example, if you set the dictionary size to 8k and you have 5 sessions, the equation would be:

   (3 x 8) x 5 =120k of Eicon WAN Adapter memory used

Value	Description
8k	Dictionary size is 8k.
32k	Dictionary size is 32k.


Router: Broadcast

Specifies whether IP broadcasts are passed through to the Eicon WAN Adapter, or they are discarded. Default value: Unchecked.

Value	Description
Checked	IP Broadcasts are accepted.
Unchecked	IP Broadcasts are discarded.


Router: Multicast

Select the Multicast check box to disable all Broadcast and accept and send Muticast.

Default value: Unchecked.

Value	Description
Checked	Multicast is accepted and sent.
Unchecked	Multicast is not accepted. Broadcast is enabled.


Router: TCP Spoofing

Select the TCP Spoofing check box to enable TCP Spoofing of packets.

Default value: Unchecked.

Value	Description
Checked	TCP Spoofing is enabled.
Unchecked	TCP Spoofing is disabled.


Connections Configuration: X.25 Panel

The following parameters configure the X.25 protocol for remote connections:

Local DTE Address

Remote DTE Address

User Data

Facilities: In

Facilities: Out

Inactivity Timeout

Number of Retries

Retries Delay

Node address

Compression Type

Dictionary size


X.25: Local DTE Address

This parameter appears only when the WAN Protocol parameter is set to X.25 SVC. It may or may not be required by your X.25 packet-switched network, and identifies the X.25 address of the local device. This parameter is a number up to 15 digits in length.


X.25: Remote DTE Address

This parameter appears only when the WAN Protocol parameter is set to X.25 SVC. It is the DTE address of the remote device. This parameter is a number up to 15 digits in length.

The wild card character '*' may be used to indicate that the device will accept any call, but only if this entry's Connection Type is set to Incoming.


X.25: User Data

This parameter appears only when the WAN Protocol parameter is set to X.25 SVC. The User Data parameter consists of a case-sensitive string of up to 128 alphanumeric characters, in ASCII or hexadecimal format. It serves as a "connection password" for the local or remote device.

If the User Data string consists of more than 16 characters then the User Data facilities string must contain the Fast Select facility. For more information please refer to the In. Facilities or Out. Facilities parameters.

Note: If you are using hexadecimal format to write your User Data string, please take into consideration the fact that there is still a limit of 128 alphanumeric (default is 16) characters in the string. For example, the hexadecimal string “01,02” is considered to be 5 characters long. This limits your User Data string to 43 characters if you use hexadecimal format.


X.25: In. Facilities

This parameter appears only when the WAN Protocol parameter has been set to X.25 SVC and the Connection Type = Incoming or Two Way. This parameter is a string of up to 109 characters which represents the X.25 User Data facilities which are present in your X.25 network subscription, and are to be used for this connection between the local and remote devices.

If the User Data parameter string consists of more than 16 characters, then the facilities string must contain the Fast Select facility. This is done by including the hexadecimal string 01,8x, where x is any valid bit. This will enable 128 characters of User Data.

Note: If you are using hexadecimal format to write your User Data facilities string, take into consideration the fact that there is still a limit of 109 alphanumeric characters in the string. For example, the hexadecimal string “01,80” is considered to be 5 characters long. This limits your User Facilities string to 36 characters if you use hexadecimal format.


X.25: Out. Facilities

This parameter appears only when the WAN Protocol parameter has been set to X.25 SVC and the Connection Type is set to Outgoing or Two Way. This parameter is a string of up to 109 characters which represents the X.25 User Facilities which are present in your X.25 network subscription, and are to be used for this connection between the local and remote devices.

If the User Data parameter string consists of more than 16 characters, then the facilities string must contain the Fast Select facility. This is done by including the hexadecimal string 01,8x, where x is any valid bit. This will enable 128 characters of User Data.

Note: If you are using hexadecimal format to write your User Data facilities string, please take into consideration the fact that there is still a limit of 109 alphanumeric characters in the string. For example, the hexadecimal string “01,80” is considered to be 5 characters long. This limits your User Data facilities string to 36 characters if you use hexadecimal format.


X.25: Inactivity Timeout

This parameter is applicable only when the WAN Protocol is X.25 SVC and the Connection Type is Two Way. It specifies the number of seconds a connection may remain inactive before the device disconnects the X.25 switched virtual circuit (SVC). The device will register the connection between the two devices as "Disconnected", but as soon as activity resumes on the local side, a new SVC is connected.
Default value: 0.

Value	Description
0	If set to (0), no timeout.
1 - 86400	The possible range of inactivity time (in seconds) that can be set.


X.25: Number of Retries

Specifies how many times the device should retry initiating a connection between the local and remote devices if the initial attempt to establish a connection fails. This parameter is applicable only if the WAN protocol is X.25 SVC and the Connection Type is Outgoing or Two Way. The Number of Retries parameter may range in value from 0 to 100.
Default value: 0.

Value	Description
0 - 99	Number of retries to re-establish a connection.
100	Retry (infinite loop) until connection is re-established.


X.25: Retries Delay

This parameter specifies the delay in seconds between subsequent retries. This parameter is applicable only if the value entered under the Number of Retries parameter is not 0.
Default value: 5.

Value	Description
5 - 65535	The valid range for the retries delay value.


X.25: Compression Type

Compression is configured in the X.25 WAN Protocol configuration panel for each WAN connection. Routing Services compression provided with this product is compliant with several standards for compression algorithms and negotiation protocols. The table below identifies the compression types available for the X.25 protocol.
Default value: AUTO

Value	Description
AUTO	• Compression negotiation: AUTO (does not negotiate Cisco) • Negotiation order: Eicon Stacker, Bay Networks
Eicon Stacker	This type of compression is not compatible with Cisco routers. • Compression negotiation: CCP (Compression Control Protocol) • Compression algorithm: LZS-STAC  • Check mode: LCB, Sequence number, and extended mode
Bay Networks	• Compression negotiation: WCP • Compression algorithm: Magnalink • Check mode: LCB • Dictionary size: 8K or 32K
Cisco	This type of compression is not compatible with Eicon Stacker. • Compression negotiation: None • Compression algorithm: LZS-STAC
None	No compression.
Note: If you change the Compression type, you must stop and restart your Eicon WAN Adapter.


X.25: Node address

The X.25 DTE address assigned to the line in your network subscription. This is an optional and arbitrary parameter that is used for reference only.
Default value: NULL.

Value	Description
15 digits	X.25 DTE address of the connection (optional and arbitrary).


ISDN Threshold Configuration Panel

Enable ISDN Thresholds

Interval Time

Total Uptime

ISDN Action

Allow ISDN Traffic


Enable ISDN Thresholds

When the Enable ISDN Thresholds box is checked, monitoring of the ISDN usage is enabled in the software. ISDN Thresholds protect the user from unexpected ISDN usage.

Default value: Checked.

Value	Description
Checked	ISDN monitoring is on.
Unchecked	ISDN monitoring is off.


Interval Time

The amount of time used to measure the threshold parameters. The value specified for the Interval Time must be greater than the value specified for Total Uptime.

Default value: 60 minutes.

Value	Description
0 - 2000	The number of minutes to measure the threshold parameters.


Total Uptime

The total number of minutes that calls can be physically connected to the ISDN line during the Interval Time.

Default value: 20 minutes.

Value	Description
0 - 2000	The number of minutes for the specified Uptime.


ISDN Action

The action taken if the Total Uptime value is exceeded.

Default value: Disable Connection.

Value	Description
Disable Connection	Your connection is terminated.
Log the error in Event Viewer	The error is logged in Event Viewer.


Allow ISDN Traffic

Use the Begin time and End time parameters to specify the time of day during which data can be sent to the card for transmission.

Begin time

The time of day at which data can begin to be sent to the card for transmission.

Default value: 8:00.

Value	Description
0:00 - 24:00	Specify the time at which data can begin to be sent to the card for transmission.

End Time

The time of day beyond which data is no longer sent to the card for transmission.

Default value: 17:00.

Value	Description
0:00 - 24:00	Specify the time beyond which data can no longer be sent to the card for transmission.


Dynamic PPP Configuration Parameters

Enable PPP Profiles

Answer on Port

Allow Compression

Require Encryption

Authentication Parameters

Local IP Address


Dynamic PPP: Enable PPP Profiles

Select the Enable PPP Profiles check box if you want to enable Dynamic PPP.

With Dynamic PPP, you can dial one connection at a time to more than one remote location, providing your dialer is available for use. Routing Services selects the appropriate circuit when connecting to another location. Similarly, this process is automated for answering calls. Thus, you can originate or answer a call at any time.

If you select Enable PPP Profiles, then you must specify the Local Username and set the Calling and Listening Parameters as required.


Dynamic PPP: Answer on Port

From the Answer on Port list box, which lists all previously configured PPP ports, select the appropriate PPP port number. All the PPP connections on this port will be dynamic.

Default value: The first PPP configured port.


Dynamic PPP: Allow Compression

Specifies whether or not compression is allowed on incoming calls.

Default value: Checked.

Value	Description
Checked	Compression for the Dynamic PPP port is enabled. Compression is allowed on incoming calls
Unchecked	Compression for the Dynamic PPP port is disabled. Compression is not allowed on incoming calls.


Dynamic PPP: Require Encryption

Select the Require Encryption check box if you require CHAP encrypted authentication on the selected PPP port. If you enable encryption, only CHAP authentication is negotiated.

Default value: Checked.

Value	Description
Checked	Encryption is required. Only CHAP authentication is used.
Unchecked	Encryption is not required. Both PAP and CHAP authentication can be used.


PPP: Calling and Listening Parameters

These parameters are used to authenticate calls between the local and remote devices.

Calling Parameters

Local Username

If PPP Authentication is desired between the local and remote devices, you must specify the local device’s user name.

Default value: None.

Value	Description
1-32 alphanumeric characters	The PAP or CHAP user name for the local device.

Local Password

If PPP Authentication is desired between the local and remote devices, you must specify the local device’s password.

If you are not using Dynamic PPP then this value also represents the remote CHAP Secret.

Default value: None.

Value	Description
1-32 alphanumeric characters	The PAP password or CHAP Secret for the local device. (Also the remote CHAP Secret if you are not using Dynamic PPP.)

Remote Number 1

Specifies the ISDN number of the remote device.

Remote Number 2

Used for Multilink PPP only. Specifies the ISDN number of the second multilink PPP port on the remote device.

Listening Parameters

Remote User Name

This is the user name for the remote device. This user name is required to authenticate your connection with the remote device.

Value	Description
1-32 alphanumeric characters	The PAP or CHAP user name for the remote device.

Remote Password

Enter the PAP password or CHAP Secret(if using Dynamic PPP), for the remote device with which you will be connecting. This password is required to authenticate the connection with the remote device.

The CHAP Secret is a password shared by the local and remote devices.

Value	Description
1-32 alphanumeric characters	The PAP Password or CHAP Secret(if using Dynamic PPP) for the remote device.


Dynamic PPP: Local IP Address

Specify the local IP Address for this connection. It will be used in the IPCP negotiation.

Default value: The first IP address configured in the TCP/IP Properties Advanced dialog.